Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(53)

Issue 2781983003: Deprecate Value::(Create)DeepCopy (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 4 weeks ago by jdoerrie
Modified:
2 months, 3 weeks ago
Reviewers:
brettw
CC:
chromium-reviews, vmpstr+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Deprecate Value::(Create)DeepCopy This change deprecates Value::CreateDeepCopy and Value::DeepCopy in favor of invoking the copy constructor directly. R=brettw@chromium.org BUG=646113 Review-Url: https://codereview.chromium.org/2781983003 Cr-Commit-Position: refs/heads/master@{#461992} Committed: https://chromium.googlesource.com/chromium/src/+/e964d9af67e0dc5326e2160c5fabf055a7ed10fa

Patch Set 1 #

Patch Set 2 : Remove unneccessary base:: namespace qualifier #

Total comments: 2

Patch Set 3 : Replace operator[] with emplace_hint for DictValues #

Patch Set 4 : Braces #

Messages

Total messages: 26 (20 generated)
jdoerrie
Hi Brett, please review.
2 months, 4 weeks ago (2017-03-29 11:40:14 UTC) #7
jdoerrie
Hi Brett, a gentle ping on this one.
2 months, 3 weeks ago (2017-03-31 07:58:29 UTC) #10
brettw
LGTM, sorry I missed this. https://codereview.chromium.org/2781983003/diff/20001/base/values.cc File base/values.cc (right): https://codereview.chromium.org/2781983003/diff/20001/base/values.cc#newcode508 base/values.cc:508: (**dict_ptr_)[it.first] = MakeUnique<Value>(*it.second); I've ...
2 months, 3 weeks ago (2017-03-31 16:38:15 UTC) #11
jdoerrie
https://codereview.chromium.org/2781983003/diff/20001/base/values.cc File base/values.cc (right): https://codereview.chromium.org/2781983003/diff/20001/base/values.cc#newcode508 base/values.cc:508: (**dict_ptr_)[it.first] = MakeUnique<Value>(*it.second); On 2017/03/31 16:38:15, brettw (plz ping ...
2 months, 3 weeks ago (2017-04-03 07:10:26 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2781983003/60001
2 months, 3 weeks ago (2017-04-05 06:40:28 UTC) #23
commit-bot: I haz the power
2 months, 3 weeks ago (2017-04-05 06:45:34 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/e964d9af67e0dc5326e2160c5fab...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318